{% extends 'base/base.html' %}

{% block page_content %}
<form method="POST" class="form-inline" role="form" enctype="multipart/form-data">
    {% csrf_token %}
    <div class="col-xl-10 col-md-10 mb-10">

        {% if obj %}
        <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
            <div class="card border-left-success shadow h-100 py-2">
                {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Apoyo
                            </div>
                            <div class="dropdown-divider"></div>

                            <!-- fila 1 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.tipo.label }}:
                                    <div class="input-group">
                                        {{ form.tipo }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.descripcion.label }}:
                                    <div class="input-group">
                                        {{ form.descripcion }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    <!-- {{ form.fecha_de_entrega.label }}:
                                    <div class="input-group">
                                        {{ form.fecha_de_entrega }}
                                    </div> -->
                                    <div class="col-12 d-flex justify-content-start">
                                        <label for="id_fecha_de_entrega">Fecha de entrega:</label>
                                    </div>
                                    <div class="input-group">
                                        <input type="text" name="fecha_de_entrega" class="form-control" readonly
                                            id="id_fecha_de_entrega">
                                    </div>
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.foto_de_comprobacion.label }}:
                                    <div class="input-group">
                                        {{ form.foto_de_comprobacion }}
                                    </div>
                                </div>

                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.notas_adicionales.label }}:
                                    <div class="input-group">
                                        {{ form.notas_adicionales }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-bold">

                                    <div class="col-12 d-flex justify-content-start">
                                        <label for="id_persona">Persona:</label>
                                    </div>

                                    <div class="input-group">
                                        <select name="persona" id="id_persona" class="form-control" required>
                                            {% comment %} <option value="0">Seleccione la persona..</option> {% endcomment %}
                                            
                                            <option value="{{ persona.id }}" selected>{{ persona.nombres }}
                                            {{ persona.ap_paterno }} {{ persona.ap_materno }}</option>                                            
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">

                                    <div class="col-12 d-flex justify-content-start text-uppercase font-weight-bold">
                                        <label for="id_localidad">Localidad:</label>
                                    </div>

                                    <div class="input-group">
                                        <select name="localidad" id="id_localidad" class="form-control" required>
                                            {% comment %} <option value="0">Seleccione la persona..</option> {% endcomment %}
                                            
                                            <option value="{{ persona.localidad.id }}" selected>{{ localidad.nombre }}</option>                                            
                                        </select>
                                    </div>

                                </div>
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <!-- {{ form.departamento.label }}:
                                    <div class="input-group">
                                        {{ form.departamento }}
                                    </div> -->
                                    <div class="col-12 d-flex justify-content-start text-uppercase font-weight-bold">
                                        <label for="id_departamento">Departamento:</label> 
                                    </div>
                                    <div class="input-group font-weight-light">                                       
                                        <select name="departamento" id="id_departamento" class="form-control" required>                                        
                                            <option value="0" selected>Seleccione el departamento...</option>
                                                
                                            {% for item in departamentos %}
                                                <option value="{{ item.id }}">{{ item.nombre }} </option>
                                            {% endfor %}                                                        
                                        </select>      
                                    </div>                                                
                                    
                                </div>

                                <div class="col-md-6">

                                    <!-- {{ form.encargado_de_ruta.label }}:
                                    <div class="input-group">
                                        {{ form.encargado_de_ruta }}
                                    </div> -->
                                    <div class="col-12 d-flex justify-content-start text-uppercase font-weight-bold">
                                        <label for="id_encargado_de_ruta">Encargado de Ruta:</label> 
                                    </div>
                                    <div class="input-group font-weight-light">                                       
                                        <select name="encargado_de_ruta" id="id_encargado_de_ruta" class="form-control" required>                                        
                                            <option value="0" selected>Seleccione el encargado de ruta..</option>
                                                
                                            {% for item in encargados %}
                                                <option value="{{ item.id }}">{{ item.nombres }} {{ item.ap_paterno }} {{ item.ap_materno }}</option>
                                            {% endfor %}                                                        
                                        </select>      
                                    </div>                                                                                                                      

                                </div>
                            </div>

                            <!-- {{ form.as_p }} -->

                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">
                                    <a href="{% url 'apoyos:apoyos_list' %}" class="btn btn-success btn-block">
                                        <span class="fa fa-undo"></span> Cancelar
                                    </a>
                                </div>

                                <div class="col-4">
                                    <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-block">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-arrow-left"></i>
                                        </span>
                                        <span class="text">Regresar</span>
                                    </a>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
</form>
{% endblock page_content %}
{% block js_page %}
<script>
    // carga del DOM
    $(function () {

        $("#id_fecha_de_entrega").datetimepicker({
            format: 'd/m/Y',
            timepicker: false
        });

        // Initialize Select2 Elements
        $('#id_localidad').select2(); 
        $("#id_localidad").select2({theme:"bootstrap4"}); 

        $('#id_departamento').select2(); 
        $("#id_departamento").select2({theme:"bootstrap4"}); 

        $('#id_encargado_de_ruta').select2(); 
        $("#id_encargado_de_ruta").select2({theme:"bootstrap4"}); 

        // $("#sidebarToggle").click();
        // $("#id_encargado_de_ruta").select2({
        //     placeholder: "Elegir..",
        //     allowClear: false,               
        // });

        // $("#id_departamento").select2({
        //     placeholder: "Elegir..",
        //     allowClear: false,            
        // });

    });
</script>

{% endblock js_page %}